package cn.com.qmth.print.manage.enums;

public enum CheckSort {

    ASC("正序", 1L),

    DESC("逆序", 2L);

    private String name;

    private Long id;

    CheckSort(String name) {
        this.name = name;
    }

    private CheckSort(String name, Long id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public static CheckSort getByName(String name) {
        for (CheckSort r : CheckSort.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
